LaTeX forum ⇒ Texmaker and TeXstudioXelatex polyglossia

Information and discussion about Texmaker, an integrated LaTeX environment for several platforms, and the related TeXstudio
meriem04
Posts: 7
Joined: Wed Nov 07, 2018 7:52 pm

Xelatex polyglossia

Postby meriem04 » Thu Nov 22, 2018 10:28 pm

l have problem when l compile by Xelatex because l have to use package polyglossia;
"expl3.sty not found " although l put it with the file.tex. Where is the problem?!

User avatar
Johannes_B
Site Moderator
Posts: 3934
Joined: Thu Nov 01, 2012 4:08 pm

Postby Johannes_B » Thu Nov 22, 2018 10:45 pm

Welcome,
use the package manager of your TeX distribution (TeX Live or MikTeX) to install any missing packages.
The smart way: Calm down and take a deep breath, read posts and provided links attentively, try to understand and ask if necessary.

meriem04
Posts: 7
Joined: Wed Nov 07, 2018 7:52 pm

Postby meriem04 » Fri Nov 23, 2018 12:32 am

The message shewn is :
""Package expl3 Error: Required primitives not found."""
Although both the file.tex and expl3.sty are in the same file?

User avatar
Stefan Kottwitz
Site Admin
Posts: 9244
Joined: Mon Mar 10, 2008 9:44 pm

Postby Stefan Kottwitz » Fri Nov 23, 2018 12:19 pm

expl3 is part of the l3kernel bundle. The whole bundle is needed. So please install the whole l3kernel bundle/package using your package manager. Furthermore, you should install l3packages. Then you should have proper LaTeX3 support (expl3 is part of it).

Stefan
Site admin

meriem04
Posts: 7
Joined: Wed Nov 07, 2018 7:52 pm

Postby meriem04 » Fri Nov 23, 2018 12:21 pm

I have found again problem with Miktex manager :
' get host by name failed in tcp_connect()'

meriem04
Posts: 7
Joined: Wed Nov 07, 2018 7:52 pm

Postby meriem04 » Fri Nov 23, 2018 1:56 pm

The problem with Xelatex shewn in the following figure:
Attachments
Polyglossia.JPG
Polyglossia.JPG (124.3 KiB) Viewed 288 times

User avatar
Stefan Kottwitz
Site Admin
Posts: 9244
Joined: Mon Mar 10, 2008 9:44 pm

Postby Stefan Kottwitz » Sat Nov 24, 2018 12:03 pm

At the beginning there's an error: a mismatch of LaTeX3 packages. Ensure that l3kernel and l3packages are "normally" installed. You put expl3.sty in your document folder, you mentioned. Remove that one, it could be a different version than the other l3 packages.

Stefan
Site admin

meriem04
Posts: 7
Joined: Wed Nov 07, 2018 7:52 pm

Postby meriem04 » Sat Nov 24, 2018 2:15 pm

Thank you for the reply;
The steps are in the following pictures (I installed the packages manually) as you have said, but still the same problem!
Attachments
l3kernel.JPG
l3kernel.JPG (57.8 KiB) Viewed 260 times
l3package.JPG
l3package.JPG (69.33 KiB) Viewed 260 times
file2 with expl3 sty.JPG
file2 with expl3 sty.JPG (45.86 KiB) Viewed 260 times

User avatar
Stefan Kottwitz
Site Admin
Posts: 9244
Joined: Mon Mar 10, 2008 9:44 pm

Postby Stefan Kottwitz » Sat Nov 24, 2018 2:51 pm

You still have the expl3 LaTeX Style file (expl3.sty) in the file2 folder, that should be removed.

Stefan
Site admin

meriem04
Posts: 7
Joined: Wed Nov 07, 2018 7:52 pm

Postby meriem04 » Sat Nov 24, 2018 3:06 pm

The problem stay again!
Attachments
Problem again.JPG
Problem again.JPG (121.43 KiB) Viewed 258 times


Return to “Texmaker and TeXstudio”

Who is online

Users browsing this forum: No registered users and 4 guests